
Name:     eigen3
Summary:  Lightweight C++ template library for vector and matrix math, a.k.a. linear algebra
Version:  3.3.3
Release:  %mkrel 1
Group:    System/Libraries
License:  LGPLv3+ or GPLv2+
URL:      http://eigen.tuxfamily.org/
Source:   http://eigen.tuxfamily.org/index.php?title=Main_Page/eigen-eigen-67e894c6cd8f.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{rversion}-%{release}-buildroot
BuildRequires: cmake
BuildRequires: doxygen
BuildRequires: ghostscript-common
BuildRequires: graphviz
BuildRequires: %{_lib}blas-devel
BuildRequires: %{_lib}fftw-devel
BuildRequires: lapack-devel
BuildRequires: gsl-devel
BuildRequires: qt4-devel
BuildRequires: cholmod-devel
BuildRequires: umfpack-devel
BuildRequires: metis-devel
Obsoletes: %{_lib}eigen3-devel
Provides: %{_lib}eigen3-devel = %version-%release


%description 
Eigen is a lightweight C++ template library for vector and matrix
math, a.k.a. linear algebra.

%prep
%setup -q -n eigen-eigen-67e894c6cd8f
%build
export CXXFLAGS="$CXXFLAGS -fpermissive"
export CFLAGS="$CFLAGS -fpermissive"
export CPPFLAGS="$CPPFLAGS -fpermissive"

%cmake 
#-DEIGEN_BUILD_TESTS=ON
%make

# docs
%make doc 

%install
rm -rf %{buildroot}
%makeinstall_std -C build

%ifarch %{ix86}
mkdir -p %{buildroot}/%{_datadir}/pkgconfig
mv %{buildroot}/usr/include/pkgconfig/* %{buildroot}/%{_datadir}/pkgconfig
%endif

mkdir -p %{buildroot}/%{_includedir}/eigen3
mv %buildroot/usr/include/Eigen %{buildroot}/%{_includedir}/eigen3
mv %buildroot/usr/include/unsupported %{buildroot}/%{_includedir}/eigen3
mv %buildroot/usr/include/signature_of_eigen3_matrix_library %{buildroot}/%{_includedir}/eigen3

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING.* doc/*
%dir %{_includedir}/eigen3/
%{_includedir}/eigen3/*
%{_datadir}/pkgconfig/*.pc
%{_datadir}/eigen3

%changelog
* Wed Aug 23 2017 bb2 <bb2> - 3.3.3-1pclos2017
- update

* Mon Aug 03 2015 bb <bb> 3.1.3-4pclos2015
- fix package build

* Thu Jun 25 2015 gseaman <galen.seaman at comcast.net> 3.1.2-3gseaman2015
- added supplemental dependencies

